solarOSsolarOS Docs

Get one Lead

Returns one Lead by solarOS id inside the authenticated organization boundary. Missing or cross-tenant records return 404. Required scope: leads:read.

GET
/leads/{id}

Returns one Lead by solarOS id inside the authenticated organization boundary. Missing or cross-tenant records return 404. Required scope: leads:read.

Authorization

Authorization<token>

Organization API key. Format: Bearer sk_live_...

In: header

Path Parameters

id*string

Lead identifier returned by the Organization API.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/leads/string"
{  "data": {    "id": "string",    "firstName": "string",    "lastName": "string",    "email": "user@example.com",    "phone": "string",    "address": "string",    "city": "string",    "state": "string",    "zipCode": "string",    "status": "string",    "sourceId": "string",    "campaignId": "string",    "ownerId": "string",    "notes": "string",    "source": {},    "campaign": {},    "owner": {},    "salesTypeIds": [      "string"    ],    "salesTypes": [      {}    ],    "customFields": {},    "externalReferences": [      {}    ],    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  },  "meta": {    "requestId": "string",    "version": "v1",    "timestamp": "2019-08-24T14:15:22Z",    "rateLimit": {      "limit": 0,      "remaining": 0,      "reset": 0    }  }}